# encoding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'spinner.rb'

Gem::Specification.new do |spec|
  spec.name          = "spinner.rb"
  spec.version       = Spinner::VERSION
  spec.authors       = ["Mike Fulcher"]
  spec.email         = ["mike@drawingablank.me"]
  spec.summary       = "Ruby progress spinner for tasks with an unknown duration"
  spec.description   = "Ruby progress spinner for tasks with an unknown duration."
  spec.homepage      = "http://drawingablank.me/blog/spinner-a-ruby-gem-for-tasks-with-unknown-duration.html"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "rake"
  spec.add_development_dependency "minitest"
end
